<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_bbarticles_article"] = Array (
	"ctrl" => $TCA["tx_bbarticles_article"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,title,type,gallery,game_fk,coverage_fk,logo,enable_comments,pages"
	),
	"feInterface" => $TCA["tx_bbarticles_article"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "100",	
				"eval" => "required,trim",
			)
		),
		"type" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.type",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.type.I.0", "0"),
					Array("LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.type.I.1", "1"),
					Array("LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.type.I.2", "2"),
					Array("LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.type.I.3", "3"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"gallery" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.gallery",		
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("",0),
				),
				"foreign_table" => "tx_bbgallery_gallery",	
				"foreign_table_where" => "ORDER BY tx_bbgallery_gallery.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 10,
					"_VERTICAL" => 0,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgallery_gallery",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"list" => Array(
						"type" => "script",
						"title" => "List",
						"icon" => "list.gif",
						"params" => Array(
							"table"=>"tx_bbgallery_gallery",
							"pid" => "###CURRENT_PID###",
						),
						"script" => "wizard_list.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"game_fk" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.game_fk",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_game",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_game.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 0,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_game",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"list" => Array(
						"type" => "script",
						"title" => "List",
						"icon" => "list.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_game",
							"pid" => "###CURRENT_PID###",
						),
						"script" => "wizard_list.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"coverage_fk" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.coverage_fk",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbcoverages_coverage",	
				"foreign_table_where" => "ORDER BY tx_bbcoverages_coverage.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 0,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbcoverages_coverage",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"list" => Array(
						"type" => "script",
						"title" => "List",
						"icon" => "list.gif",
						"params" => Array(
							"table"=>"tx_bbcoverages_coverage",
							"pid" => "###CURRENT_PID###",
						),
						"script" => "wizard_list.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"logo" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.logo",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => $GLOBALS["TYPO3_CONF_VARS"]["GFX"]["imagefile_ext"],	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_bbarticles",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"enable_comments" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_article.enable_comments",		
			"config" => Array (
				"type" => "check",
				"default" => 1,
			)
		),
    "pages" => Array (
      "exclude" => 1,
      "label" => "Pages",
      "config" => Array (
        "type" => "inline",
        "foreign_table" => "tx_bbarticles_page",
        "foreign_field" => "parentid",
        "foreign_table_field" => "parenttable",
        "maxitems" => 30,
        "appearance" => Array (
          "useSortable" => 1,
        ),
      )
    ),
	),
	"types" => Array (
		"0" => Array("showitem" => "--div--;Main Settings,hidden;;1;;1-1-1, title;;;;2-2-2, type;;;;3-3-3, gallery, game_fk, coverage_fk, logo, enable_comments,--div--;Pages,pages;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime")
	)
);



$TCA["tx_bbarticles_page"] = Array (
	"ctrl" => $TCA["tx_bbarticles_page"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "parentid,parenttable,title,menutitle,contents"
	),
	"feInterface" => $TCA["tx_bbarticles_page"]["feInterface"],
	"columns" => Array (
    "parentid" => Array(
      "config" => Array (
        "type" => "passthrough",
      )
    ),
    "parenttable" => Array(
      "config" => Array (
        "type" => "passthrough",
      )
    ),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_page.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "100",	
				"eval" => "required,trim",
			)
		),
    "contents" => Array (
      "exclude" => 1,
      "label" => "Content Elements",
      "config" => Array (
        "type" => "inline",
        "foreign_table" => "tx_bbarticles_content",
        "foreign_field" => "parentid",
        "foreign_table_field" => "parenttable",
      )
    ),
	),
	"types" => Array (
		"0" => Array("showitem" => "parentid, parenttable, title;;;;2-2-2, contents;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_bbarticles_content"] = Array (
	"ctrl" => $TCA["tx_bbarticles_content"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,type,headline,text"
	),
	"feInterface" => $TCA["tx_bbarticles_content"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
    "parentid" => Array(
      "config" => Array (
        "type" => "passthrough",
      )
    ),
    "parenttable" => Array(
      "config" => Array (
        "type" => "passthrough",
      )
    ),
		"headline" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_content.headline",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "100",	
				"eval" => "trim",
			)
		),
		"text" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_content.text",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => Array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
    "benchmarks" => Array (
      "exclude" => 1,
      "label" => "Benchmarks",
      "config" => Array (
        "type" => "inline",
        "foreign_table" => "tx_bbarticles_benchmark",
        "foreign_field" => "parentid",
        "foreign_table_field" => "parenttable",
      )
    ),
		"type" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_content.type",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_content.type.I.0", "0", t3lib_extMgm::extRelPath("bb_articles")."selicon_tx_bbarticles_content_type_0.gif"),
					Array("LLL:EXT:bb_articles/locallang_db.xml:tx_bbarticles_content.type.I.1", "1", t3lib_extMgm::extRelPath("bb_articles")."selicon_tx_bbarticles_content_type_1.gif"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "type, parentid, parenttable, headline, text;;;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[mode=ts]"),
		"1" => Array("showitem" => "type, parentid, parenttable, headline, benchmarks"),
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);


$TCA["tx_bbarticles_benchmark"] = Array (
	"ctrl" => $TCA["tx_bbarticles_benchmark"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "parentid,parenttable,caption,color,value"
	),
	"feInterface" => $TCA["tx_bbarticles_benchmark"]["feInterface"],
	"columns" => Array (
    "parentid" => Array(
      "config" => Array (
        "type" => "passthrough",
      )
    ),
    "parenttable" => Array(
      "config" => Array (
        "type" => "passthrough",
      )
    ),
		"caption" => Array (		
			"exclude" => 1,		
			"label" => "Caption",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "100",	
				"eval" => "required,trim",
			)
		),
    "value" => Array( 
      "exclude" => 1,
      "label" => "Value",
      "config" => Array (
        "type" => "input",
        "size" => "10",
        "max" => "15",
        "eval" => "required,trim",
      )
    ),
    "color" => Array(
      "exclude" => 1,
      "label" => "Color",
      "config" => Array (
        "type" => "input",
        "size" => "5",
        "eval" => "required, trim",
        "wizards" => Array (
          "_PADDING" => 2,
          "color" => Array (
            "title" => "Color:",
            "type" => "colorbox",
            "dim" => "20x12",
            "tableStyle" => "border:solid 1px black",
            "script" => "wizard_colorpicker.php",
            "JSopenParams" => "height=300,width=250,status=0,menubar=0,scrollbars=0",
          ),
        ),
      )
    ),
	),
	"types" => Array (
		"0" => Array("showitem" => "parentid, parenttable, caption, value, color")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);


$TCA['tx_bbarticles_article']['ctrl']['dividers2tabs'] = true;
?>
