<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_bbgamesdb_game"] = array (
	"ctrl" => $TCA["tx_bbgamesdb_game"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "--div--;Main Settings,title,subtitle,genre,is_addon_of,publisher,developer,releasedate,packshot,url,usk,platform,comment,asin,--div--;Ratings,rating_graphics,rating_sound,rating_control,rating_depth,rating_multiplayer,rating_pro,rating_contra,--div--;System Requirements,sysreq_cpu,ssysreq_ram,sysreq_graphics,sysreq_hdd,sysreq_sound,sysreq_misc, galleries"
	),
	"feInterface" => $TCA["tx_bbgamesdb_game"]["feInterface"],
	"columns" => array (
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"max" => "30",	
				"eval" => "required,trim",
			)
		),
		"subtitle" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.subtitle",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "100",	
				"eval" => "trim",
			)
		),
		"genre" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.genre",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_genre",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_genre.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_genre",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
   "is_addon_of" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.is_addon_of",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_game",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_game.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_game",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
		"publisher" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.publisher",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_company",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_company.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_company",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
		"developer" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.developer",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_company",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_company.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_company",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
		"releasedate" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.releasedate",		
			"config" => Array (
				"type"     => "input",
				"size"     => "8",
				"max"      => "20",
				"eval"     => "date",
				"checkbox" => "0",
				"default"  => "0"
			)
		),
		"packshot" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.packshot",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_bbgamesdb",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"url" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.url",		
			"config" => Array (
				"type"     => "input",
				"size"     => "15",
				"max"      => "255",
				"checkbox" => "",
				"eval"     => "trim",
				"wizards"  => array(
					"_PADDING" => 2,
					"link"     => array(
						"type"         => "popup",
						"title"        => "Link",
						"icon"         => "link_popup.gif",
						"script"       => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"usk" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.usk",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.usk.I.0", "0", t3lib_extMgm::extRelPath("bb_gamesdb")."selicon_tx_bbgamesdb_usk_0.gif"),
					Array("LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.usk.I.1", "6", t3lib_extMgm::extRelPath("bb_gamesdb")."selicon_tx_bbgamesdb_usk_6.gif"),
					Array("LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.usk.I.2", "12", t3lib_extMgm::extRelPath("bb_gamesdb")."selicon_tx_bbgamesdb_usk_12.gif"),
					Array("LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.usk.I.3", "16", t3lib_extMgm::extRelPath("bb_gamesdb")."selicon_tx_bbgamesdb_usk_16.gif"),
					Array("LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.usk.I.4", "18", t3lib_extMgm::extRelPath("bb_gamesdb")."selicon_tx_bbgamesdb_usk_18.gif"),
				),
			)
		),
		"platform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.platform",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_platform",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_platform.uid",	
				"size" => 10,	
				"minitems" => 0,
				"maxitems" => 50,	
				"MM" => "tx_bbgamesdb_game_platform_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_platform",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"list" => Array(
						"type" => "script",
						"title" => "List",
						"icon" => "list.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_platform",
							"pid" => "###CURRENT_PID###",
						),
						"script" => "wizard_list.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"comment" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.comment",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",	
				"rows" => "5",
			)
		),
		"asin" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.asin",		
			"config" => Array (
				"type" => "input",	
				"size" => "10",	
				"max" => "255",	
				"eval" => "trim",
			)
		),
		"rating_graphics" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_graphics",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "2",	
				"eval" => "int,nospace",
			)
		),
		"rating_sound" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_sound",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "2",	
				"eval" => "int,nospace",
			)
		),
		"rating_control" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_control",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "2",	
				"eval" => "int,nospace",
			)
		),
		"rating_depth" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_depth",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "2",	
				"eval" => "int,nospace",
			)
		),
		"rating_multiplayer" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_multiplayer",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"max" => "2",	
				"eval" => "int,nospace",
			)
		),
		"rating_pro" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_pro",		
			"config" => Array (
				"type" => "text",
				"cols" => "20",	
				"rows" => "6",
			)
		),
		"rating_contra" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.rating_contra",		
			"config" => Array (
				"type" => "text",
				"cols" => "20",	
				"rows" => "6",
			)
		),
		"sysreq_cpu" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.sysreq_cpu",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"ssysreq_ram" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.ssysreq_ram",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"sysreq_graphics" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.sysreq_graphics",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"sysreq_hdd" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.sysreq_hdd",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"sysreq_sound" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.sysreq_sound",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"sysreq_misc" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_game.sysreq_misc",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
	),
  "galleries" => Array (
    "exclude" => 1,
    "label" => "Galleries",
    "config" => Array (
      "type" => "inline",
      "foreign_table" => "tx_bbgallery_gallery",
      "foreign_field" => "parentid",
      "foreign_table_field" => "parenttable",
      "maxitems" => 20,
    ),
  ),
  "types" => array (
		"0" => array("showitem" => "--div--;Main Settings,title;;;;2-2-2, subtitle;;;;3-3-3, genre, is_addon_of, publisher, developer, releasedate, packshot, url, usk, platform, comment, asin,--div--;Rating, rating_graphics, rating_sound, rating_control, rating_depth, rating_multiplayer, rating_pro, rating_contra,--div--;System Requirements, sysreq_cpu, ssysreq_ram, sysreq_graphics, sysreq_hdd, sysreq_sound, sysreq_misc, --div--;Galleries, galleries")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);



$TCA["tx_bbgamesdb_genre"] = array (
	"ctrl" => $TCA["tx_bbgamesdb_genre"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "title,subgenre_of"
	),
	"feInterface" => $TCA["tx_bbgamesdb_genre"]["feInterface"],
	"columns" => array (
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_genre.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "30",	
				"eval" => "required,trim",
			)
		),
		"subgenre_of" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_genre.subgenre_of",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_genre",	
				"foreign_table_where" => "AND tx_bbgamesdb_genre.pid=###CURRENT_PID### ORDER BY tx_bbgamesdb_genre.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_genre",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "title;;;;2-2-2, subgenre_of;;;;3-3-3")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);



$TCA["tx_bbgamesdb_platform"] = array (
	"ctrl" => $TCA["tx_bbgamesdb_platform"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "title,shorttitle,publisher"
	),
	"feInterface" => $TCA["tx_bbgamesdb_platform"]["feInterface"],
	"columns" => array (
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_platform.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "30",	
				"eval" => "required,trim",
			)
		),
		"shorttitle" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_platform.shorttitle",		
			"config" => Array (
				"type" => "input",	
				"size" => "10",	
				"max" => "10",	
				"eval" => "required,trim",
			)
		),
		"publisher" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_platform.publisher",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_bbgamesdb_company",	
				"foreign_table_where" => "ORDER BY tx_bbgamesdb_company.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_bbgamesdb_company",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "title;;;;2-2-2, shorttitle;;;;3-3-3, publisher")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);



$TCA["tx_bbgamesdb_company"] = array (
	"ctrl" => $TCA["tx_bbgamesdb_company"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "title,url,street,zip,city,country"
	),
	"feInterface" => $TCA["tx_bbgamesdb_company"]["feInterface"],
	"columns" => array (
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_company.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "50",	
				"eval" => "required,trim",
			)
		),
		"url" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_company.url",		
			"config" => Array (
				"type"     => "input",
				"size"     => "15",
				"max"      => "255",
				"checkbox" => "",
				"eval"     => "trim",
				"wizards"  => array(
					"_PADDING" => 2,
					"link"     => array(
						"type"         => "popup",
						"title"        => "Link",
						"icon"         => "link_popup.gif",
						"script"       => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"street" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_company.street",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "50",	
				"eval" => "trim",
			)
		),
		"zip" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_company.zip",		
			"config" => Array (
				"type" => "input",	
				"size" => "7",	
				"max" => "10",
			)
		),
		"city" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_company.city",		
			"config" => Array (
				"type" => "input",	
				"size" => "20",	
				"max" => "50",
			)
		),
		"country" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:bb_gamesdb/locallang_db.xml:tx_bbgamesdb_company.country",		
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("",0),
				),
				"foreign_table" => "static_countries",	
				"foreign_table_where" => "ORDER BY static_countries.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),

  ),
	"types" => array (
		"0" => array("showitem" => "title;;;;2-2-2, url;;;;3-3-3, street, zip, city, country")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);


$TCA["tx_bbgamesdb_game"]["ctrl"]["dividers2tabs"] = true;
?>
